Bug 1390872 - gDeploy:gdeploy version is not displayed correctly on RHEL7
Summary: gDeploy:gdeploy version is not displayed correctly on RHEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-02 07:23 UTC by surabhi
Modified: 2017-03-07 17:46 UTC (History)
5 users (show)

Fixed In Version: gdeploy-2.0.1-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:35:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description surabhi 2016-11-02 07:23:15 UTC
Description of problem:

The gdeploy version is not displayed correctly on installing latest gdeploy rpm's on RHEL7.

Installed:
gdeploy-2.0.1-2.el7rhgs.noarch                                                                                                               
gdeploy --version
gdeploy 2.1.dev1

Version-Release number of selected component (if applicable):
gdeploy-2.0.1-2.el7rhgs.noarch

How reproducible:
Always

Steps to Reproduce:
1.Install gdeploy latest version from brew on RHEL7.
2.Check the version (gdeploy --version)
3.

Actual results:
*****************
The version displayed is incorrect. It says dev1 gdeploy 2.1.dev1

Expected results:
The gdeploy version shall be reflected correctly.


Additional info:

Comment 2 Sachidananda Urs 2016-11-02 07:26:59 UTC
Commit: https://github.com/gluster/gdeploy/commit/f1f3027bc52 fixes the issues.

Comment 5 Manisha Saini 2016-11-14 15:27:21 UTC
Verified this Bug on rhel base 7.3

Steps:
1.Install gdeploy latest version from brew on RHEL7.
2.Check the version (gdeploy --version)


[root@dhcp37-126 yum.repos.d]# rpm -qa | grep gdeploy
gdeploy-2.0.1-3.el7rhgs.noarch


[root@dhcp37-126 yum.repos.d]# gdeploy --version
gdeploy 2.0.1

Comment 7 errata-xmlrpc 2017-02-07 11:35:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.